#!/bin/sh

DIR=/home/www/htdocs/nettest/
FOOTER=my.footer.inc.html
TEMP=/tmp/temp.bk
xmlfile=nettest.xml

echo "  Target Directory: " ${DIR}

cp ./$FOOTER ${DIR}
for i in SMC-tiny-logo.gif lbllogo.gif frog.skeleton.logo.gif DOEgrid.gif; do
    cp images/$i ${DIR}$i
done


for i in index netscape_export configure problems security tar; do
    htmlfile=$i.html
    xsltfile=$i.xslt
    echo "    Creating: " $xmlfile "+" $xsltfile "--> " ${DIR}$htmlfile
    java org.apache.xalan.xslt.Process -in ./$xmlfile -xsl ./$xsltfile -out ${DIR}$htmlfile

    sed -e 's/<\/body>/<center><!--#include file="my.footer.inc.html" --><\/center>/' ${DIR}$htmlfile > $TEMP
    sed -e '$i\
<\/body>' $TEMP > ${DIR}$htmlfile
    rm $TEMP
done

echo "  **All Done"
